<template>
  <div id="app">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Neotz</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <router-link class="nav-link" to="/">Home</router-link>
        <!-- <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a> -->
      </li>
      <li class="nav-item">
        <router-link class="nav-link" to="/about">About</router-link>
        <!-- <a class="nav-link" href="#">About</a> -->
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <router-link class="nav-link" to="/login">Login</router-link>
      <router-link class="btn btn-outline-primary my-2 my-sm-0" to="/register">Register</router-link>
    </form>
  </div>
</nav>
<br>
<h1 class="glow">NEOTZ</h1> <br> <br> <br>
<br> <br> <br>
    <router-view />
  </div>
</template>

<style scoped>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #aeff14;
  background-color:#000000;
  
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}

.glow {
  font-size: 200px;
  font-family: 'Monofett', cursive;
  color: #fff;
  text-align: center;
  -webkit-animation: glow 1s ease-in-out infinite alternate;
  -moz-animation: glow 1s ease-in-out infinite alternate;
  animation: glow 1s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
  from {
    text-shadow: 0 0 10px #98e10d, 0 0 20px #98e10d, 0 0 30px #aeff14, 0 0 40px #aeff14, 0 0 50px #aeff14, 0 0 60px #aeff14, 0 0 70px #aeff14;

  }

  to {

    text-shadow: 0 0 20px #aeff14, 0 0 30px #98e10d, 0 0 40px #98e10d, 0 0 50px #98e10d, 0 0 60px #98e10d, 0 0 70px #98e10d, 0 0 80px #98e10d;

  }
}
</style>
